Referenceexplore
Search an external skill source
Query Parameters
q*string
Length
1 <= length <= 200source*string
Value in
- "skillssh"
- "github"
cursor?string
Length
1 <= length <= 4096limit?integer
Range
1 <= value <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/explore/search?q=string&source=skillssh"{ "items": [ { "source": "registry", "ref": "string", "name": "string", "description": "string", "type": "project", "version": "string", "deprecated": { "at": "2019-08-24T14:15:22Z", "message": "string" }, "installs": 0 } ], "nextCursor": "string"}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}{ "defined": true, "code": "UPSTREAM_UNAVAILABLE", "status": 502, "message": "The external source could not be reached.", "data": { "source": "string", "reason": "unauthorized" }}